class SpatialAttribute < ActiveRecord::Base
  belongs_to :variable
  belongs_to :directory
  validates_presence_of :longitude_lb, :latitude_lb, :longitude_rt, :latitude_rt
  validates_numericality_of :longitude_lb, :latitude_lb, :longitude_rt, :latitude_rt
  protected
  def varidate
    unless directory_id || variable_id
      errors.add_to_base "either 'directory_id' or 'variable_id' must be specified"
    end
  end
end
